Subject: Bug appear after an upgrade...

From: Rabellino Sergio <[email-masked]>
Date: Tue, 02 Apr 2002 17:50:14 +0200

Dear list,
 I've an apache server with mod_ssl and today i've done a "regular" upgrade to my web, installing the latest apache (1.3.24) with the
relative mod_ssl with openssl 0.9.6c/mm 1.1.3.

After the restart of the server, almost all the thing are fine except for the client authentication with certificate, but only if I request
a directory listing or a directory index.

In effect if I request

1) https://myweb.com/pages/index.html

I receive the correct page, but if I request

2) https://myweb.com/pages/

I receive an "403 / Access forbidden"

Note that I've in effect an .htaccess that restrict the access for the whole directory, and removing the .htaccess, I can see the index.html
also with the second request, so it seems not the DirectoryIndex directive in error, nor the Indexes in the Directory item.

If I use a simple basic authentication (login/password) as usual, I can see all without problems, and either login:passwd and
certificate:"password" lives in the same dbm file.

Any hints ???

Pls. reply also to my address, as I'm not in this list... thanks.
-- 
Dott. Sergio Rabellino 

 Technical Staff
 Department of Computer Science
 University of Torino (Italy)
 Member of the Internet Society

http://www.di.unito.it/~rabser
Tel. +39-0116706701
Fax. +39-011751603
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]